> ## Documentation Index
> Fetch the complete documentation index at: https://docs.canton.network/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/domains/:domain_id/members/:member_id/traffic-status

> Get a member's traffic status as reported by the sequencer, according to
ledger state at the time of the request.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/domains/{domain_id}/members/{member_id}/traffic-status
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/domains/{domain_id}/members/{member_id}/traffic-status:
    get:
      tags:
        - external
        - scan
      summary: GET /v0/domains/:domain_id/members/:member_id/traffic-status
      description: |
        Get a member's traffic status as reported by the sequencer, according to
        ledger state at the time of the request.
      operationId: getMemberTrafficStatus
      parameters:
        - name: domain_id
          description: |
            The synchronizer ID to look up traffic for.
          in: path
          required: true
          schema:
            type: string
        - name: member_id
          description: |
            The participant or mediator whose traffic to look up, in the format
            `code::id::fingerprint` where `code` is `PAR` or `MED`.
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMemberTrafficStatusResponse'
        '400':
          $ref: '#/components/responses/400'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    GetMemberTrafficStatusResponse:
      type: object
      required:
        - traffic_status
      properties:
        traffic_status:
          $ref: '#/components/schemas/MemberTrafficStatus'
          description: >
            The current traffic state for the member on the synchronizer under

            `actual`, and the total purchased traffic under `target`.  The
            purchased

            traffic may exceed the `actual` limit as purchases take time to be

            incorporated into the limit.
    MemberTrafficStatus:
      type: object
      required:
        - actual
        - target
      properties:
        actual:
          $ref: '#/components/schemas/ActualMemberTrafficState'
          description: The current traffic state for the member on the synchronizer
        target:
          $ref: '#/components/schemas/TargetMemberTrafficState'
          description: Total purchased traffic; may exceed limit in `actual`
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
    ActualMemberTrafficState:
      type: object
      required:
        - total_consumed
        - total_limit
      properties:
        total_consumed:
          description: |
            Total extra traffic consumed by the member on the given synchronizer
          type: integer
          format: int64
        total_limit:
          description: >
            Current extra traffic limit set for the member on the given
            synchronizer.

            An extra traffic top-up is complete once total_limit matches
            total_purchased.
          type: integer
          format: int64
    TargetMemberTrafficState:
      type: object
      required:
        - total_purchased
      properties:
        total_purchased:
          description: |
            Total extra traffic purchased for the member on the given
            synchronizer in bytes.
          type: integer
          format: int64
  responses:
    '400':
      description: bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '500':
      description: internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````